<!-- Copyright (c) 2022 Qualcomm Innovation Center, Inc. All rights reserved. -->
<!-- SPDX-License-Identifier: BSD-3-Clause-Clear -->

<!-- Launch file for the rrt-detector and the assigner -->
<launch>
    <arg name="eta" value="0.5"/>
    <arg name="Geta" value="2.0"/>
    <param name="namespace_init_count" value="1"/>

    <node pkg="rrt_exploration" type="global_rrt_detector" name="global_detector" output="screen">
        <param name="eta" value="$(arg Geta)"/>
        <param name="map_topic" value="/map"/>
    </node>

    <node pkg="rrt_exploration" type="local_rrt_detector" name="local_detector" output="screen">
        <param name="eta" value="$(arg eta)"/>
        <param name="map_topic" value="/map"/>
        <param name="robot_frame" value="base_link"/>
    </node>

    <node pkg="rrt_exploration" type="filter.py" name="filter" output="screen">
        <param name="map_topic" value="/map"/>
        <param name="info_radius" value="0.8"/>
        <param name="costmap_clearing_threshold" value="70"/>
        <param name="goals_topic" value="/detected_points"/>
        <param name="namespace" value=""/>
        <param name="n_robots" value="1"/>
        <param name="rate" value="100"/>
    </node>

    <node pkg="rrt_exploration" type="assigner.py" name="assigner" output="screen">
        <param name="map_topic" value="/map"/>
        <param name="global_frame" value="map"/>
        <param name="info_radius" value="1"/>
        <param name="info_multiplier" value="3.0"/>
        <param name="hysteresis_radius" value="3.0"/>
        <param name="hysteresis_gain" value="2.0"/>
        <param name="frontiers_topic" value="/filtered_points"/>
        <param name="n_robots" value="1"/>
        <param name="namespace" value=""/>
        <param name="delay_after_assignement" value="0.5"/>
        <param name="rate" value="100"/>
        <param name="plan_service" value="/move_base/GlobalPlanner/make_plan"/>
    </node>

    <node pkg="rrt_exploration" type="wait_for_fin" name="wait_for_fin" output="screen">
        <param name="waiting_time" value="20"/>
    </node>
</launch>
